%define pypi_name APScheduler
%define pkg_name apscheduler

Name:           python-%{pkg_name}
Version:        3.10.4
Release:        %mkrel 2
Summary:        In-process task scheduler with Cron-like capabilities
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/apscheduler/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Advanced Python Scheduler (APScheduler) is a Python library that lets you
schedule your Python code to be executed later, either just once or
periodically. You can add new jobs or remove old ones on the fly as you please.
If you store your jobs in a database, they will also survive scheduler restarts
and maintain their state. When the scheduler is restarted, it will then run all
the jobs it should have run while it was offline [1].

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pkg_name}
Advanced Python Scheduler (APScheduler) is a Python library that lets you
schedule your Python code to be executed later, either just once or
periodically. You can add new jobs or remove old ones on the fly as you please.
If you store your jobs in a database, they will also survive scheduler restarts
and maintain their state. When the scheduler is restarted, it will then run all
the jobs it should have run while it was offline [1].

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files apscheduler

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Mon Feb 19 2024 papoteur <papoteur> 3.10.4-2.mga10
+ Revision: 2042513
- rebuild for python 3.12
- new version 3.10.4

* Sun Jun 12 2022 guillomovitch <guillomovitch> 3.9.1-3.mga9
+ Revision: 1864028
- rebuild to fix dependencies

* Thu Mar 24 2022 umeabot <umeabot> 3.9.1-2.mga9
+ Revision: 1825135
- Mageia 9 Mass Rebuild

* Sat Mar 19 2022 guillomovitch <guillomovitch> 3.9.1-1.mga9
+ Revision: 1801659
- new version 3.9.1

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 3.9.0.post1-1.mga9
+ Revision: 1785773
- verison 3.9.0.post1
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 3.7.0-1.mga9
+ Revision: 1705545
- new version 3.7.0

* Thu Jul 23 2020 ovitters <ovitters> 3.6.3-3.mga8
+ Revision: 1608254
- rebuild for removing pythonegg buildrequires in srpm

* Mon Feb 17 2020 umeabot <umeabot> 3.6.3-2.mga8
+ Revision: 1537687
- Mageia 8 Mass Rebuild

* Thu Nov 07 2019 guillomovitch <guillomovitch> 3.6.3-1.mga8
+ Revision: 1458664
- new version 3.6.3

* Wed Sep 18 2019 tv <tv> 3.6.0-2.mga8
+ Revision: 1443542
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 3.6.0-1.mga8
+ Revision: 1417222
- imported package python-apscheduler

